org.openmuc.openiec61850

## Interface GetFileListener

    public interface GetFileListener

Callback handler for GetFile service

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `dataReceived(byte[] fileData, boolean moreFollows)` Is called when a new block of file data is received

### Method Detail

#### dataReceived

    boolean dataReceived(byte[] fileData,
                         boolean moreFollows)

Is called when a new block of file data is received

Parameters:
  `fileData` - block of file data received
  `moreFollows` - true if more data blocks will follow, false otherwise
Returns:
  true to continue the GetFile service, false to cancel